Package org.apache.sling.testing.mock.sling.servlet

# Class MockHttpSession

java.lang.Object
org.apache.felix.http.javaxwrappers.HttpSessionWrapper
org.apache.sling.servlethelpers.MockHttpSession
org.apache.sling.testing.mock.sling.servlet.MockHttpSession

All Implemented Interfaces:
  `javax.servlet.http.HttpSession`

@Deprecated(since="3.2.0") public final class MockHttpSession extends org.apache.sling.servlethelpers.MockHttpSession
Deprecated.
Use `MockJakartaHttpSession` instead.
Mock `HttpSession` implementation.

## Constructor Summary

Constructors
Constructor
Description
`MockHttpSession(org.apache.sling.servlethelpers.MockJakartaHttpSession wrappedSession)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected MockServletContext`
`newMockServletContext()`
Deprecated.

### Methods inherited from class org.apache.sling.servlethelpers.MockHttpSession

`getServletContext, isInvalidated, setNew`

### Methods inherited from class org.apache.felix.http.javaxwrappers.HttpSessionWrapper

`getAttribute, getAttributeNames, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getSessionContext, getValue, getValueNames, invalidate, isNew, putValue, removeAttribute, removeValue, setAttribute, setMaxInactiveInterval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockHttpSession

public MockHttpSession(org.apache.sling.servlethelpers.MockJakartaHttpSession wrappedSession)
Deprecated.

## Method Details

### newMockServletContext

protected MockServletContext newMockServletContext()
Deprecated.

Overrides:
  `newMockServletContext` in class `org.apache.sling.servlethelpers.MockHttpSession`